

class COfficeMenuBase

	declare COfficeMenuBase()
	declare _COfficeMenuBase()

	declare SetImages(HBITMAP bmp, COLORREF clrTransparent),HBITMAP
	declare AttachMenu(HWND hwnd, HMENU menu)
	declare HandleMessage(HWND hwnd, UINT uMsg, WPARAM wParam, LPARAM lParam),BOOL
	declare AssignBitmapIndex(USHORT wID, int index)

	declare IsMenubarItem(WORD wID),BOOL
	declare OnMeasureItem(MEASUREITEMSTRUCT pmis)
	declare OnDrawItem(DRAWITEMSTRUCT pdis)
	declare SetCustomdrawFlag(HMENU menu, int ID byref)

	COLORREF BarBkIdleColor  ' menu bar color
	COLORREF BarBkHotColor   ' menu bar background color for hot-item
	COLORREF BarBorderColor  ' menu bar hot item rectangle color
	COLORREF ItemBorderColor ' selected item rectangle color
	COLORREF ItemBkColor     ' selected item background color
	COLORREF SeparatorColor
	COLORREF BitmapTransparentColor

	HMENU         m_menu
	HWND          m_hwnd
	HBITMAP       m_bmp      ' icons
	TRIVERTEX     m_vert[2]  ' icons background gradient
	HFONT         m_hMenuFont     ' default font
	HFONT         m_hMenuBoldFont ' bold font
endclass


$ifdef UNICODE
$define MENUPROP_CURRENTMENU L"CurrentMenu"
$define MENUPROP_WINDOWMENU  L"WindowMenu"
$define MENUPROP_SYSTEMMENU  L"SystemMenu"
$define MENUPROP_CONTEXTMENU L"ContextMenu"
$else
$define MENUPROP_CURRENTMENU "CurrentMenu"
$define MENUPROP_WINDOWMENU  "WindowMenu"
$define MENUPROP_SYSTEMMENU  "SystemMenu"
$define MENUPROP_CONTEXTMENU "ContextMenu"
$endif


$ifndef __COfficeMenuBase_eba__
' SetDefaultMenu will set the menu bar as active menu. Call this function after
declare extern COfficeMenuBaseSetDefaultMenu(HWND hwnd)
declare extern COfficeMenuBaseSetActiveMenu(HWND hwnd, LPTSTR name)
declare extern COfficeMenuBaseGrayBitmap(HBITMAP hBitmap, COLORREF TransparentColor, HBITMAP ppv byref),BOOL
$endif

